import './style.scss';

export default new Class({
	Extends: Hedera.Form,
	Template: require('./ui.xml')
	
	,activate() {
		this.$.lot.assign({
			warehouse: 7,
			realm: null
		});
	}
	
	,onPreviewClick() {
		this.$.lot.set('rate', this.$.rate.value);
		this.gui.openReport('items-report', this.$.lot);
	}
});

